Bug 565764 - Review Request: sugar-measure - Measure functionality for Sugar
Review Request: sugar-measure - Measure functionality for Sugar
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernie Innocenti
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SOAS-3
  Show dependency treegraph
 
Reported: 2010-02-16 03:17 EST by Kedar Sovani
Modified: 2014-06-23 11:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-23 11:23:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bernie+fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kedar Sovani 2010-02-16 03:17:00 EST
Spec URL: http://kedars.fedorapeople.org/sugar-measure.spec
SRPM URL: http://kedars.fedorapeople.org/sugar-measure-29-1.fc11.src.rpm
Description: 

Hi, this is the Measure package for Sugar. It is a tool on the XO that allows kids to indulge in "learning by doing". It provides an interface for the kids to connect  sensors (light, heat, magnetic field etc) and view their signal.

This is my first package thus I need a sponsor. I am a maintainer of Fedora-ARM. I have been working with rpm for a while as part of this.


RPM Lint:
# rpmlint /root/rpmbuild/SRPMS/sugar-measure-29-1.fc11.src.rpm
sugar-measure.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

# rpmlint /root/rpmbuild/RPMS/noarch/sugar-measure-29-1.fc11.noarch.rpm
sugar-measure.noarch: W: non-standard-group Sugar/Activities
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/sensor_toolbar.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/drawwaveform.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/measure.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/toolbar_side.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/journal.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/audiograb.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/toolbar_top.py 0644 /usr/bin/python
sugar-measure.noarch: E: non-executable-script /usr/share/sugar/activities/Measure.activity/sound_toolbar.py 0644 /usr/bin/python
sugar-measure.noarch: E: script-without-shebang /usr/share/sugar/activities/Measure.activity/activity/activity.info
1 packages and 0 specfiles checked; 9 errors, 1 warnings.

Out of the above errors: 
1. non-executable-script ones are seen because those files are included from other python scripts
2. script-without-shebang is seen because activity.info is not really a script but a file with various variable declarations.
Comment 1 Thomas Spura 2010-02-16 04:43:38 EST
Just a few comments, I'm no sponsor anyway:

- Try running rpmlint -I $(warning/error)

-> $ rpmlint -I non-executable-script
non-executable-script:
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.


- BuildRequires should be python-devel and not just python. BuildRequires python will be added automatic then.
Comment 2 Kedar Sovani 2010-02-17 00:39:14 EST
(In reply to comment #1)
> Just a few comments, I'm no sponsor anyway:

sure, Thanks!

> 
> - Try running rpmlint -I $(warning/error)
> 
> -> $ rpmlint -I non-executable-script
> non-executable-script:
> This text file contains a shebang or is located in a path dedicated for
> executables, but lacks the executable bits and cannot thus be executed.  If
> the file is meant to be an executable script, add the executable bits,
> otherwise remove the shebang or move the file elsewhere.
> 
> 

Yes, I meant that I believe both the type of errors above are false-positives in this case. Is there any spec-file workaround for those?

> - BuildRequires should be python-devel and not just python. BuildRequires
> python will be added automatic then.    

Hmm... Actually it doesn't really need python-devel in this case, just python is sufficient. Here is a koji scratch build. 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1992656
Comment 3 Sebastian Dziallas 2010-07-24 11:41:30 EDT
Ping? What's the state here? Dennis, do you still plan to review this?
Comment 4 Sebastian Dziallas 2010-07-24 15:57:29 EDT
Upstream has released a new version here: http://lists.sugarlabs.org/archive/sugar-devel/2010-July/025645.html
Comment 5 Bernie Innocenti 2010-07-25 17:57:23 EDT
Wow this review has been stuck for over 5 months! :-(

Thank you for this contribution, I've approved this review request and sponsored your membership to the packagers group. Please, request the creation of the CVS repository for your package:

  http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure

Before importing, you should probably upgrade to Measure v30. Also, I would advise requesting an F-13 branch for the convenience of current SoaS-3 users.

You can find me as "bernie" on #fedora-devel if you need any assistance importing your package in CVS.
Comment 6 Kevin Fenzi 2010-07-26 18:29:37 EDT
Please reset the fedora-cvs flag to ? when you have added a cvs request template here. 
Thanks.
Comment 7 Kedar Sovani 2010-07-30 13:06:13 EDT
New Package CVS Request
=======================
Package Name: sugar-measure
Short Description: Measure functionality for Sugar
Owners: kedars
Branches: F-12 F-13
InitialCC: bernie
Comment 8 Kevin Fenzi 2010-07-30 16:15:06 EDT
git done.
Comment 9 Sebastian Dziallas 2010-07-30 18:13:17 EDT
Upstream is now at v31: http://lists.sugarlabs.org/archive/sugar-devel/2010-July/025670.html
Comment 10 Dennis Gilmore 2014-06-23 11:22:50 EDT
removing needinfo

Note You need to log in before you can comment on or make changes to this bug.